Bug report #2581

Building on latest trunk is failing on Qt class introduced in Qt 4.5

Added by Ivan Mincik over 10 years ago. Updated over 10 years ago.

Status:Closed
Priority:Low
Assignee:Jürgen Fischer
Category:Build/Install
Affected QGIS version: Regression?:No
Operating System:Debian Easy fix?:No
Pull Request or Patch supplied: Resolution:fixed
Crashes QGIS or corrupts data: Copied to github as #:12641

Description

Building on latest trunk is failing on Qt class (QNetworkDiskCache) introduced in Qt 4.5. According INSTALL file, Qt version should be >= 4.3.0.

[ 40%] Building CXX object src/app/CMakeFiles/qgis.dir/qgisapp.cpp.o
/tmp/buildd/qgis-1.5.0/src/app/qgisapp.cpp:71:29: error: QNetworkDiskCache: No such file or directory
/tmp/buildd/qgis-1.5.0/src/app/qgisapp.cpp: In member function 'void QgisApp::namUpdate()':
/tmp/buildd/qgis-1.5.0/src/app/qgisapp.cpp:6277: error: 'QNetworkDiskCache' was not declared in this scope
/tmp/buildd/qgis-1.5.0/src/app/qgisapp.cpp:6277: error: 'cache' was not declared in this scope
/tmp/buildd/qgis-1.5.0/src/app/qgisapp.cpp:6277: error: 'QNetworkDiskCache' cannot appear in a constant-expression
/tmp/buildd/qgis-1.5.0/src/app/qgisapp.cpp:6277: error: parse error in template argument list
/tmp/buildd/qgis-1.5.0/src/app/qgisapp.cpp:6277: error: 'class QNetworkAccessManager' has no member named 'cache'
/tmp/buildd/qgis-1.5.0/src/app/qgisapp.cpp:6279: error: expected type-specifier before 'QNetworkDiskCache'
/tmp/buildd/qgis-1.5.0/src/app/qgisapp.cpp:6279: error: expected @;' before 'QNetworkDiskCache'
/tmp/buildd/qgis-1.5.0/src/app/qgisapp.cpp:6290: error: 'class QNetworkAccessManager' has no member named 'cache'
/tmp/buildd/qgis-1.5.0/src/app/qgisapp.cpp:6291: error: 'class QNetworkAccessManager' has no member named 'setCache'

History

#1 Updated by Jürgen Fischer over 10 years ago

  • Resolution set to fixed
  • Status changed from Open to Closed

Qt 4.5 dependencies removed in 2aa15573 (SVN r13144).

Also available in: Atom PDF